# frslib.mak Version 0.1.0 - Compile Fischer Random Shuffle Library
# Copyright (C) 2004  dondalah@ripco.com (Dondalah)

# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 2
# of the License, or (at your option) any later version.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.

# You should have received a copy of the GNU General Public License
# along with this program; if not, write to:

#      Free Software Foundation, Inc.
#      59 Temple Place - Suite 330
#      Boston, MA  02111-1307, USA.

OBJ=shflinit.obj \
	shflcomb.obj \
	shuffle.obj \
	rnd.obj \
	rndinit.obj \
	rndpwr.obj \
	rndnum.obj \
	getmd5.obj \
	md5c.obj

INCLUDE=$(INCLUDE);.

all:		$(OBJ) frshuf.lib

frshuf.lib:		$(OBJ)
        LIB.EXE @frslib.txt

shflinit.obj:		shflinit.c
	$(CC) $(CFLAGS) shflinit.c

shflcomb.obj:		shflcomb.c
	$(CC) $(CFLAGS) shflcomb.c

shuffle.obj:		shuffle.c
	$(CC) $(CFLAGS) shuffle.c

rnd.obj:                rnd.c
        $(CC) $(CFLAGS) rnd.c

rndinit.obj:		rndinit.c
	$(CC) $(CFLAGS) rndinit.c

rndpwr.obj:             rndpwr.c
        $(CC) $(CFLAGS) rndpwr.c

rndnum.obj:             rndnum.c
        $(CC) $(CFLAGS) rndnum.c

getmd5.obj:		getmd5.c
	$(CC) $(CFLAGS) getmd5.c

md5c.obj:		md5c.c
	$(CC) $(CFLAGS) md5c.c

clean:
	erase frshuf.lib
	erase shuffle.obj
	erase shflinit.obj
	erase shflcomb.obj
	erase rnd.obj
	erase rndinit.obj
	erase rndnum.obj
	erase rndpwr.obj
	erase getmd5.obj
	erase md5c.obj
	erase err
